# RoadTrip
A game about a journey involving vehicles and obstacles.

![Screenshot](https://github.com/Dejvino/roadtrip/blob/master/screenshot.png)

## Status
### DONE
* Walking
  * Enter / Exit a car (key: Enter)
* Driving
  * Keyboard controls (keys: WASDX)
  * Physics-based vehicles
  * 1 model, 2 debugs
* Map
  * Endless, grid-based hilly ground
  * Procedurally generated map contents
  * Collidable objects - static and dynamic
  * People
* Objectives
  * Target location
  * Score
* Sounds
  * Car engine
  * Wheel rolling
  * Wheel slips
* Graphics
  * themeless
  * 1st & 3rd person view (key: V)
  * fog, depth-of-field filter
  * distance-based hiding of objects
* Input
  * Keyboard
  * Game menu

### TODO
#### Stage 0 :: Prototype
* DONE

#### Stage 1 :: Core Game
* Joystick controls
* Main Menu
* Winning condition (location)
* Loading screen
* Health indicator
* NPC AI
* Enemy objects - mines
* Enemy NPCs - punching, shooting
* Interacting with the environment - opening of gates

#### Stage 2 :: Filled Game
* Roadblocks
* Menu - statistics, save / load, credits
* Car models
* Scenery models
* Intro, Outro
* Dialogs
* Fuel

#### Stage 3 :: Overflowing Game
* Stealth
* Clothing
* Car customization
* Destructable environment
